#include <States/GameState/Context/GameContext.h>
#include <States/GameState/GameEvent/GameEvent.h>

void DeleteStaticEntity::handle(GameContext& context) const {
    auto& objects = context.static_objects;
    for (auto it = objects.begin(); it != objects.end(); ++it) {
        if (it->get() == m_entity) {
            objects.erase(it);
            break;
        }
    }
    context.eaten_food_number++;
}

void LostGame::handle(GameContext& context) const {
    context.state = GameContext::LOST;
    context.defeats_count++;
}

void WinGame::handle(GameContext& context) const {
    context.state = GameContext::WIN;
}