#pragma once
#include <BasicAbstractions/ICommand.h>
#include <States/SelectState/SelectState.h>

class ChangeThemeCommand final : public ISelectCommand {
public:
    explicit ChangeThemeCommand(SelectState& select_state) : m_select_state(select_state) {}
    void execute() override;
private:
    SelectState& m_select_state;
};