#include "Themes.h"

Themes& Themes::Instance() {
    static Themes instance;
    return instance;
}

void Themes::change_theme() {
    if (dark_mode) {
        BUTTON_COLOR_TEXT = config::BUTTON_COLOR_TEXT;
        BUTTON_COLOR_FILL = config::BUTTON_COLOR_FILL;
        BUTTON_COLOR_SELECTION = config::BUTTON_COLOR_SELECTION;
        BUTTON_COLOR_FRAME = config::BUTTON_COLOR_FRAME;
        SELECT_LEVEL_BACKGROUND_COLOR = config::SELECT_LEVEL_BACKGROUND_COLOR;
        GAME_COLOR_ROOM = config::GAME_COLOR_ROOM;
        GAME_COLOR_WALL = config::GAME_COLOR_WALL;
        GAME_COLOR_BACKGROUND_INGAME = config::GAME_COLOR_BACKGROUND_INGAME;
        TEXT_COLOR_NOTIFICATION = config::TEXT_COLOR_NOTIFICATION;
        NOTIFICATION_BANNER_COLOR_PLAY = config::NOTIFICATION_BANNER_COLOR_PLAY;
        GAME_COLOR_BACKGROUND_PAUSE = config::GAME_COLOR_BACKGROUND_PAUSE;
        NOTIFICATION_BANNER_COLOR_PAUSE = config::NOTIFICATION_BANNER_COLOR_PAUSE;
        GAME_COLOR_BACKGROUND_LOST = config::GAME_COLOR_BACKGROUND_LOST;
        NOTIFICATION_BANNER_COLOR_LOST = config::NOTIFICATION_BANNER_COLOR_LOST;
        GAME_COLOR_BACKGROUND_WIN = config::GAME_COLOR_BACKGROUND_WIN;
        NOTIFICATION_BANNER_COLOR_WIN = config::NOTIFICATION_BANNER_COLOR_WIN;
        PROGRESS_BAR_BACGROUND = config::PROGRESS_BAR_BACKGROUND;
        TEXT_ON_PROGRESS_BAR = config::TEXT_ON_PROGRESS_BAR_COLOR;
        PROGRESS_BAR = config::PROGRESS_BAR;
        PROGRESS_BAR_LINE = config::PROGRESS_BAR_LINE;
        BUTTON_CHANGE_THEME_TEXT = config::BUTTON_CHANGE_THEME_DARK;
        dark_mode = false;
    }
    else {
        BUTTON_COLOR_TEXT = config::BUTTON_COLOR_TEXT_DARK;
        BUTTON_COLOR_FILL = config::BUTTON_COLOR_FILL_DARK;
        BUTTON_COLOR_SELECTION = config::BUTTON_COLOR_SELECTION_DARK;
        BUTTON_COLOR_FRAME = config::BUTTON_COLOR_FRAME_DARK;
        SELECT_LEVEL_BACKGROUND_COLOR = config::SELECT_LEVEL_BACKGROUND_COLOR_DARK;
        GAME_COLOR_ROOM = config::GAME_COLOR_ROOM_DARK;
        GAME_COLOR_WALL = config::GAME_COLOR_WALL_DARK;
        GAME_COLOR_BACKGROUND_INGAME = config::GAME_COLOR_BACKGROUND_INGAME_DARK;
        TEXT_COLOR_NOTIFICATION = config::TEXT_COLOR_NOTIFICATION_DARK;
        NOTIFICATION_BANNER_COLOR_PLAY = config::NOTIFICATION_BANNER_COLOR_PLAY_DARK;
        GAME_COLOR_BACKGROUND_PAUSE = config::GAME_COLOR_BACKGROUND_PAUSE_DARK;
        NOTIFICATION_BANNER_COLOR_PAUSE = config::NOTIFICATION_BANNER_COLOR_PAUSE_DARK;
        GAME_COLOR_BACKGROUND_LOST = config::GAME_COLOR_BACKGROUND_LOST_DARK;
        NOTIFICATION_BANNER_COLOR_LOST = config::NOTIFICATION_BANNER_COLOR_LOST_DARK;
        GAME_COLOR_BACKGROUND_WIN = config::GAME_COLOR_BACKGROUND_WIN_DARK;
        NOTIFICATION_BANNER_COLOR_WIN = config::NOTIFICATION_BANNER_COLOR_WIN_DARK;
        PROGRESS_BAR_BACGROUND = config::PROGRESS_BAR_BACKGROUND_DARK;
        TEXT_ON_PROGRESS_BAR = config::TEXT_ON_PROGRESS_BAR_COLOR_DARK;
        PROGRESS_BAR = config::PROGRESS_BAR_DARK;
        PROGRESS_BAR_LINE = config::PROGRESS_BAR_LINE_DARK;
        BUTTON_CHANGE_THEME_TEXT = config::BUTTON_CHANGE_THEME_LIGHT;
        dark_mode = true;
    }
}