#include <Application/Application.h>
#include <iostream>

int main() {
    try {
        Application app;
        return app.run();
    }
    catch (const std::exception& ex) {
        std::cout << ex.what() << '\n';
        return 1;
    }
    catch (...) {
        std::cout << "Unknown exception\n";
        return 2;
    }
}
